SOGo | BTS

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004630SOGoWeb Calendarpublic2019-01-07 07:242019-02-13 17:32
Reportervain90 
Assigned Tofrancis 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSMacOS MojaveOS Version10.14.2
Product Version4.0.4 
Target VersionFixed in Version4.0.6 
Summary0004630: External mail-notification when I modify my calendar
DescriptionI would like to send a notification to a email address (not my) when I modify my calendar.

I go to the calendar properties and check the checkbox "When I modify my calendar, send a mail to"
Typing the mail address in the form and hit SAVE.

But if I go to mail and back again to calendar and look at the settings again. The email address is not set anymore.
This isn't a display error.
If there is a change in the calendar, no notification will be sent to the specified email address.
TagsNo tags attached.
Attached Filesjpg file icon 19-01-08 00-37-49 0624.jpg [^] (129,550 bytes) 2019-01-08 15:44

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
User avatar (0013236)
francis (administrator)
2019-01-07 16:16

Are you sure your using a vanilla 4.0.4 release? A similar bug was fixed back in September 2018.
(0013239)
vain90 (reporter)
2019-01-08 15:45

I attached a screenshot with my used version.
(0013240)
vain90 (reporter)
2019-01-08 15:49
edited on: 2019-01-08 17:26

Side note, SOGo was installed along with the mailcow mail system.
https://github.com/mailcow/mailcow-dockerized [^]

(0013330)
vain90 (reporter)
2019-02-11 06:16

The same bug is still present in 4.0.5. Any news on this?
(0013340)
SirTobi (reporter)
2019-02-12 11:17

I have nearly the same problem.
I can activate notifications on my own calendar, but no notifications (of any type) for a calendar I have include from another SOGO-User (my shared familiy-account) on the same System. I can set them, but they aren't stored in the system.

I have all rights for modify, adding and removing events of that calendar.

I have the same bug with 4.0.4 and 4.0.5, vanilla SOGo, compile from the Sources and gnustep-base 1.25.1.

perhaps it helps.

greetings,

tobias
User avatar (0013346)
Christian Mack (developer)
2019-02-13 10:56

@SirTobi
That is a complete different case.
You can not do that, as you are not the owner of that calendar.
Only owners can set notifications and privileges on a calendar.
(0013349)
vain90 (reporter)
2019-02-13 14:31
edited on: 2019-02-13 14:36

Are you able to reproduce the bug?
This Bug isn't related to a single browsers. I tested Safari, Firefox and IE

The mail system "Mailcow" run SOGo in docker:
https://hub.docker.com/r/mailcow/sogo [^]

(0013350)
SirTobi (reporter)
2019-02-13 17:21

@Christian Mack: Ok, sorry. Then the option should perhaps be grayed out and I'll do a feature request for my "problem".

- Related Changesets
sogo: master ce7087fd
Timestamp: 2019-02-13 17:32:05
Author: francis
Details ] Diff ]
Fix saving of email address for notifications

Fixes 0004630
mod - NEWS Diff ] File ]
mod - UI/Scheduler/UIxCalendarProperties.m Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-01-07 07:24 vain90 New Issue
2019-01-07 16:16 francis Note Added: 0013236
2019-01-08 15:44 vain90 File Added: 19-01-08 00-37-49 0624.jpg
2019-01-08 15:45 vain90 Note Added: 0013239
2019-01-08 15:49 vain90 Note Added: 0013240
2019-01-08 17:26 vain90 Note Edited: 0013240 View Revisions
2019-02-11 06:16 vain90 Note Added: 0013330
2019-02-12 11:17 SirTobi Note Added: 0013340
2019-02-13 10:56 Christian Mack Note Added: 0013346
2019-02-13 14:31 vain90 Note Added: 0013349
2019-02-13 14:36 vain90 Note Edited: 0013349 View Revisions
2019-02-13 14:36 vain90 Note Edited: 0013349 View Revisions
2019-02-13 17:21 SirTobi Note Added: 0013350
2019-02-13 17:32 francis Changeset attached => sogo master ce7087fd
2019-02-13 17:32 francis Assigned To => francis
2019-02-13 17:32 francis Resolution open => fixed
2019-02-13 17:32 francis Status new => resolved
2019-02-13 17:32 francis Fixed in Version => 4.0.6


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker